--- a/configure.ac
+++ b/configure.ac
@@ -47,6 +47,13 @@
 if test "x$with_contrib" != "xno"; then
 	AC_DEFINE_UNQUOTED(HAVE_CONTRIB, [1], [Defined if contributed sources are enabled.])
 fi
+AC_ARG_WITH(docs, AS_HELP_STRING([--without-docs], [disable generation of docs]), [], [with_docs=yes])
+if test "x$with_docs" != "xno"; then
+	AC_CHECK_PROGS([HAVE_DOXYGEN], [doxygen], [])
+	if test -z "$HAVE_DOXYGEN"; then
+        	AC_MSG_WARN([Doxygen not found - continuing without Doxygen support.])
+	fi
+fi
 AC_ARG_WITH(ebusfeed, AS_HELP_STRING([--with-ebusfeed], [enable inclusion of ebusfeed tool]), [with_ebusfeed=yes], [])
 AM_CONDITIONAL([WITH_EBUSFEED], [test "x$with_ebusfeed" == "xyes"])
 AC_ARG_WITH(mqtt, AS_HELP_STRING([--without-mqtt], [disable support for MQTT handling]), [], [with_mqtt=yes])
@@ -156,10 +163,6 @@
 else
 	AC_DEFINE(REVISION, "[m4_esyscmd_s([git describe --always 2>/dev/null || (date +p%Y%m%d)])]", [The revision of the package.])
 fi
-AC_CHECK_PROGS([HAVE_DOXYGEN], [doxygen], [])
-if test -z "$HAVE_DOXYGEN"; then
-	AC_MSG_WARN([Doxygen not found - continuing without Doxygen support.])
-fi
 
 AM_CONDITIONAL([HAVE_DOXYGEN], [test -n "$HAVE_DOXYGEN"])
 AM_COND_IF([HAVE_DOXYGEN], [AC_CONFIG_FILES([docs/Doxyfile])])
